<?php
	//connection
	include("connection.php");
?>

<html>
<body bgcolor="#999966" text="#FFFFFF" link="#000000" vlink="#000000" alink="#000000">
<title>ANISEED</title>


 <br>
 
<?php
    if ( (!isset($_SESSION["login"]))or(!isset($_SESSION["pass"])) ) {
	    print "<center><strong>you need to <a href=\"login.php\">login</a> as an authorised curator to proceed.</strong>";
	    print '</center></body></html>';
		return;
	}
?>



<?php

        $id=$_GET["id"];
//print $id;

pg_query($c,"begin");	

	$requete = "update \"MUTANT\" set \"CTRL_ISH_ID\"=NULL where \"IN_SITU_ID\"='$id'";
	$resultset = pg_query($c,$requete) or die("<strong>ERROR </strong>".pg_last_error($c));

	$requete = "update \"EMBRYO_MANIP\" set \"CTRL_ISH_ID\"=NULL where \"IN_SITU_ID\"='$id'";
	$resultset = pg_query($c,$requete) or die("<strong>ERROR </strong>".pg_last_error($c));

	

    // Validation de la transaction
  pg_query($c,"commit");


    print '<table width="100%" border="0">';
	
    // Verification de la validation : si une erreur est survenue, afficher le message d'erreur
  
	    print '<tr><td align="center"><H1>Validation done</H1></td></tr>';
	    print '<tr><td align="center"><center><input name="Exit" type="button" value="-= Close window =-" onClick="javascript:self.close();"></center></td></tr>';
  
	//ocilogoff($connection);
?>

 </table>


</body>
</html>
 
 
 
 